from parallels.core.connections.connections import Connections
from parallels.core.connections.source_server import SourceServer
from parallels.plesk.source.ppcpl import settings

class PPCPLMigratorConnections(Connections):
	def __init__(self, global_context, target_panel):
		super(PPCPLMigratorConnections, self).__init__(global_context, target_panel)
		self.source_settings = settings.init(global_context.config)
		self.ppcpl = SourceServer('ppcpl', self.source_settings)

	def get_information_servers(self):
		return {'ppcpl': self.ppcpl.node_settings}
